Last Comment Bug 639339 - Port |Bug 619013 - Wording in Update Sync Key dialog needs to be more clear|
: Port |Bug 619013 - Wording in Update Sync Key dialog needs to be more clear|
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Sync UI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 619013 634419
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-06 09:48 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2011-03-29 16:09 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
b3+


Attachments
patch (2.36 KB, patch)
2011-03-06 09:48 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
Details | Diff | Review
patch v1a [Checkin: comment 9] (2.44 KB, patch)
2011-03-29 12:41 PDT, Jens Hatlak (:InvisibleSmiley)
jh: review+
Details | Diff | Review

Description Jens Hatlak (:InvisibleSmiley) 2011-03-06 09:48:31 PST
Created attachment 517280 [details] [diff] [review]
patch

This logically depends on bug 634419 which introduces Easy Setup and with that the concept of devices. This can be reviewed independently easily but must not land before bug 634419.

Since this is about string changes it needs to block b3.
Comment 1 Ian Neal 2011-03-07 14:19:25 PST
Comment on attachment 517280 [details] [diff] [review]
patch

>+new.synckey2.introText       = Your Sync Key was changed using another device, please enter your updated Sync Key.
Perhaps "from" instead of "using"?
r=me with that addressed / fixed.
Comment 2 Justin Wood (:Callek) 2011-03-17 23:32:52 PDT
this is blocking b3, and has review.

More to do, or free-to-land?
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-03-18 01:17:06 PDT
(In reply to comment #2)
> More to do, or free-to-land?

See comment 0!
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-03-26 17:08:18 PDT
(In reply to comment #1)
> >+new.synckey2.introText       = Your Sync Key was changed using another device, please enter your updated Sync Key.
> Perhaps "from" instead of "using"?

Changed locally.
Comment 5 Justin Wood (:Callek) 2011-03-26 17:28:49 PDT
(In reply to comment #4)
> (In reply to comment #1)
> > >+new.synckey2.introText       = Your Sync Key was changed using another device, please enter your updated Sync Key.
> > Perhaps "from" instead of "using"?
> 
> Changed locally.

To bikeshed, I personally find "using" better. Though I have reasoning to back it up. Using announces that it was with clear _user_ choice, where "from" might make me think that another device did it without me and confuse me.
Comment 6 Ian Neal 2011-03-26 17:51:15 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #1)
> > > >+new.synckey2.introText       = Your Sync Key was changed using another device, please enter your updated Sync Key.
> > > Perhaps "from" instead of "using"?
> > 
> > Changed locally.
> 
> To bikeshed, I personally find "using" better. Though I have reasoning to back
> it up. Using announces that it was with clear _user_ choice, where "from" might
> make me think that another device did it without me and confuse me.

Either of using / from suggests that, for it to be clear user choice it would be:
"You changed your Sync Key using (or from) another device, please enter your updated Sync Key."
Comment 7 Stefan [:stefanh] 2011-03-29 12:37:29 PDT
(In reply to comment #6)
> "You changed your Sync Key using (or from) another device, please enter your
> updated Sync Key."

Jens asked me on irc about my opinion, and I think the above sounds good - with "from". Just my 0.1 SEK (which is 1 "Öre").
Comment 8 Jens Hatlak (:InvisibleSmiley) 2011-03-29 12:41:35 PDT
Created attachment 522766 [details] [diff] [review]
patch v1a [Checkin: comment 9]

What Ian and Stefan said
Comment 9 Jens Hatlak (:InvisibleSmiley) 2011-03-29 12:48:41 PDT
Comment on attachment 522766 [details] [diff] [review]
patch v1a [Checkin: comment 9]

http://hg.mozilla.org/comm-central/rev/7410fb8132ba
Comment 10 Stefan [:stefanh] 2011-03-29 12:57:22 PDT
(In reply to comment #7)
> Just my 0.1 SEK (which is 1 "Öre").

Whoops, it's not - it's 10 öre!

Note You need to log in before you can comment on or make changes to this bug.